import { promisify } from 'node:util'
import { exec } from 'node:child_process'
import { buildUtilsLog } from './'

const promisifyExec = promisify(exec)

export async function buildUtilsExec(file: string) {
  const { stdout, stderr } = await promisifyExec(file)

  buildUtilsLog(stdout)

  if (stderr) {
    return false
  }

  return true
}
