declare namespace API {
  /** 用户信息 */
  type UserInfo = BaseID & TimeInfo & {
    status: string
    username: string
    phoneNumber: string
    email: string
    nickname: string
    roles: string[]
    perms: string[] // 功能权限代码
    loginRecord: UserLoginRecordInfo
    metadata: Recordable<string>
  }

  /** 用户登录记录信息 */
  type UserLoginRecordInfo = BaseID & TimeInfo & {
    userId: string
    lastLoginAt: string
    lastLoginIpv4: string
    lastLoginDevice: string
    lastLoginUa: string
    loginCount: number
  }
}
