import LIcon from '~/components/LIcon'

export function useIcon() {
  interface IconRenderOption {
    icon?: string
    color?: string
    size?: string | number
    depth?: 1 | 2 | 3 | 4 | 5
    spin?: boolean
    transition?: boolean
  }

  function renderIcon(val: IconRenderOption | string) {
    let opt: IconRenderOption = {}
    if (val instanceof String) {
      opt = { icon: val as string }
    }
    else {
      opt = val as IconRenderOption
    }

    if (opt.icon) {
      return h(LIcon, { ...opt })
    }
    return null
  }

  return { renderIcon }
}
