import { storeToRefs } from 'pinia'

export function useUser() {
  const userStore = useUserStore()
  const { userInfo, authInfo } = storeToRefs(userStore)

  const displayName = computed(() => userInfo.value?.nickname || userInfo.value?.username || 'Name')
  const isLogin = computed(() => (
    authInfo.value !== undefined
    && authInfo.value.token !== undefined
    && authInfo.value.token.access_token !== undefined
    && authInfo.value.token.access_token !== ''
  ))

  return {
    displayName,
    isLogin,
  }
}
