import {
  ContentLayoutEnum,
  MenuModeEnum,
  MixSidebarTriggerEnum,
  NavBarModeEnum,
  RouterTransitionEnum,
  TopMenuAlignEnum,
  TriggerEnum,
} from '~/constants'

export const navigationBarTypeList = [
  {
    title: 'layout.setting.menuTypeSidebar',
    mode: MenuModeEnum.INLINE,
    type: NavBarModeEnum.SIDEBAR,
  },
  {
    title: 'layout.setting.menuTypeMix',
    mode: MenuModeEnum.INLINE,
    type: NavBarModeEnum.MIX,
  },

  {
    title: 'layout.setting.menuTypeTopMenu',
    mode: MenuModeEnum.HORIZONTAL,
    type: NavBarModeEnum.TOP_MENU,
  },
  {
    title: 'layout.setting.menuTypeMixSidebar',
    mode: MenuModeEnum.INLINE,
    type: NavBarModeEnum.MIX_SIDEBAR,
  },
]

export const contentModeOptions = [
  {
    value: ContentLayoutEnum.FULL,
    label: 'layout.setting.contentModeFull',
  },
  {
    value: ContentLayoutEnum.FIXED,
    label: 'layout.setting.contentModeFixed',
  },
]

export const topMenuAlignOptions = [
  {
    value: TopMenuAlignEnum.CENTER,
    label: 'layout.setting.topMenuAlignRight',
  },
  {
    value: TopMenuAlignEnum.START,
    label: 'layout.setting.topMenuAlignLeft',
  },
  {
    value: TopMenuAlignEnum.END,
    label: 'layout.setting.topMenuAlignCenter',
  },
]

export function getMenuTriggerOptions(hideTop: boolean) {
  return [
    {
      value: TriggerEnum.NONE,
      label: 'layout.setting.menuTriggerNone',
    },
    {
      value: TriggerEnum.CENTER,
      label: 'layout.setting.menuTriggerCenter',
    },
    {
      value: TriggerEnum.FOOTER,
      label: 'layout.setting.menuTriggerBottom',
    },
    ...(hideTop
      ? []
      : [
          {
            value: TriggerEnum.HEADER,
            label: 'layout.setting.menuTriggerTop',
          },
        ]),
  ]
}

export const routerTransitionOptions = [
  RouterTransitionEnum.ZOOM_FADE,
  RouterTransitionEnum.FADE,
  RouterTransitionEnum.ZOOM_OUT,
  RouterTransitionEnum.FADE_SIDE,
  RouterTransitionEnum.FADE_BOTTOM,
  RouterTransitionEnum.FADE_SCALE,
].map((item) => {
  return {
    label: item,
    value: item,
  }
})

export const mixSidebarTriggerOptions = [
  {
    value: MixSidebarTriggerEnum.HOVER,
    label: 'layout.setting.triggerHover',
  },
  {
    value: MixSidebarTriggerEnum.CLICK,
    label: 'layout.setting.triggerClick',
  },
]
