import type { PiniaPluginContext } from 'pinia'
import { cloneDeep } from '~/utils'

/**
 * setup语法的重置状态插件
 */
export function resetSetupStorePlugin(context: PiniaPluginContext) {
  const initialState = cloneDeep(context.store.$state)

  context.store.$reset = () => {
    context.store.$patch(($state) => {
      Object.assign($state, initialState)
    })
  }
}
