import { acceptHMRUpdate, defineStore } from 'pinia'
import { localeSetting } from '~/modules/i18n/config'

export const useLocaleStore = defineStore('LOCALE', () => {
  const state = $ref<LocaleConfig>(localeSetting)

  const getLocale = computed(() => unref(state).locale)
  const setLocale = (locale: string) => {
    state.locale = locale
  }
  return {
    ...toRefs(state),
    getLocale,
    setLocale,
  }
}, { persist: {
  paths: Object.keys(localeSetting),
} })

if (import.meta.hot)
  import.meta.hot.accept(acceptHMRUpdate(useLocaleStore as any, import.meta.hot))
